• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Hierarchy

Some tooltip text!
• 4 minutes to read
 • 4 minutes to read
POST /api/v1/Hierarchy

Creates a new HierarchyEntity

Calls the List agent service SaveHierarchyEntity. NsApiSlow threshold: 5000 ms.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields.
POST /api/v1/Hierarchy?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: newEntity

The HierarchyEntity to be saved.

Property Name Type Description
HierarchyId Integer The primary key (auto-incremented)
Domain String Domain seperating the different hierarchy
Name String Name of this hierarchy folder.
Fullname String The full name of this category, i.e. Foo/bar/test.
ParentId Integer Parent table
Children Array Sub-items, if any.
Registered String Registered when in UTC.
RegisteredAssociateId Integer Registered by whom
Updated String Last updated when in UTC.
UpdatedAssociateId Integer Last updated by whom

Response:

OK

Response Description
200 OK

Response body: HierarchyEntityWithLinks

Property Name Type Description
HierarchyId int32 The primary key (auto-incremented)
Domain string Domain seperating the different hierarchy
Name string Name of this hierarchy folder.
Fullname string The full name of this category, i.e. Foo/bar/test.
ParentId int32 Parent table
Children array Sub-items, if any.
Registered date-time Registered when in UTC.
RegisteredAssociateId int32 Registered by whom
Updated date-time Last updated when in UTC.
UpdatedAssociateId int32 Last updated by whom
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.
_Links object

Sample request

POST /api/v1/Hierarchy
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8

{
  "HierarchyId": 343,
  "Domain": "Dashboards",
  "Name": "Schultz Group",
  "Fullname": "in",
  "ParentId": 408,
  "Children": [
    {
      "HierarchyId": 142,
      "Domain": "Dashboards",
      "Name": "Erdman-Bogan",
      "Fullname": "velit",
      "ParentId": 634,
      "Children": [
        {},
        {}
      ],
      "Registered": "2016-05-16T14:34:02.0270898+02:00",
      "RegisteredAssociateId": 763,
      "Updated": "2014-03-24T14:34:02.0270898+01:00",
      "UpdatedAssociateId": 387
    }
  ],
  "Registered": "2020-01-12T14:34:02.0270898+01:00",
  "RegisteredAssociateId": 172,
  "Updated": "2002-10-15T14:34:02.0270898+02:00",
  "UpdatedAssociateId": 513
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "HierarchyId": 956,
  "Domain": "Dashboards",
  "Name": "Sales Department",
  "Fullname": "ut",
  "ParentId": 896,
  "Children": [
    {
      "HierarchyId": 193,
      "Domain": "Dashboards",
      "Name": "Sales Department",
      "Fullname": "totam",
      "ParentId": 134,
      "Children": [
        {},
        {}
      ],
      "Registered": "2007-06-19T14:34:02.0270898+02:00",
      "RegisteredAssociateId": 205,
      "Updated": "2020-08-20T14:34:02.0270898+02:00",
      "UpdatedAssociateId": 538,
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 657
        }
      }
    }
  ],
  "Registered": "2014-12-28T14:34:02.0270898+01:00",
  "RegisteredAssociateId": 9,
  "Updated": "2008-06-15T14:34:02.0270898+02:00",
  "UpdatedAssociateId": 842,
  "TableRight": null,
  "FieldProperties": {
    "fieldName": {
      "FieldRight": null,
      "FieldType": "System.String",
      "FieldLength": 563
    }
  },
  "_Links": {
    "Self": "https://www.example.com/api/v1/project/321",
    "Archive": "https://www.example.com/api/v1/project"
  }
}
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top